import { z } from 'zod';

export const FormationSchema = z.object({
  id: z.string(),
  title: z.string(),
  school: z.string(),
  schoolUrl: z.url().optional(),
  period: z.string(),
  description: z.string().optional(),
});

export const FormationsSchema = z.object({
  items: z.array(FormationSchema),
});

export type Formation = z.infer<typeof FormationSchema>;
export type Formations = z.infer<typeof FormationsSchema>;
